Groovy 1.7.0

## org.codehaus.groovy.binding
Class PropertyChangeProxyTargetBinding

    java.lang.Object
      org.codehaus.groovy.binding.PropertyChangeProxyTargetBinding

All Implemented Interfaces:
  TargetBinding

    class PropertyChangeProxyTargetBinding
    extends Object

Field Summary
`PropertyChangeListener` | `listener`
`String` | `propertyName`
`Object` | `proxyObject`

Constructor Summary
`PropertyChangeProxyTargetBinding(Object proxyObject, String propertyName, PropertyChangeListener listener)`

Method Summary
`void` | `updateTargetValue(Object value)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### listener

    PropertyChangeListener listener

### propertyName

    String propertyName

### proxyObject

    Object proxyObject

Constructor Detail

### PropertyChangeProxyTargetBinding

    public PropertyChangeProxyTargetBinding(Object proxyObject, String propertyName, PropertyChangeListener listener)

Method Detail

### updateTargetValue

    public void updateTargetValue(Object value)

Copyright © 2003-2009 The Codehaus. All rights reserved.